﻿<?php 
function apsq_title() {
	echo '<title>'.get_custom_field('mcustom-seo-title').'</title>';
}
function head()
{
  sqtrack_beginning();
  echo '<!DOCTYPE HTML>';
  echo "\n".'<head profile="http://gmpg.org/xfn/11">';
  echo gwosplittesting();  
  echo "\n".'<meta http-equiv="Content-Type" content="',bloginfo('html_type'),'charset=',bloginfo('charset'),'" />'."\n";
  apsq_title();
  if (function_exists('insert_custommeta')) { insert_custommeta(); }
}
// ---- CSS And Style LINKS -------------//
function linkstylesheet($currentfolder)
{
  
  echo '<!-- SQUEEZE PAGE DEFAULT AND CUSTOM CSS FILES -->'."\n";
  //echo '<link rel="stylesheet" type="text/css" href="',bloginfo('template_url'),'/squeezes/includes/core/reset.css" />'."\n";
  echo '<link rel="stylesheet" type="text/css" href="',bloginfo('template_url'),'/squeezes/templates/',$currentfolder,'/default.css" />'."\n";
  sq_default_stylesheet($currentfolder)."\n";
  sq_dynamic_stylesheet($currentfolder)."\n";
  echo '<link rel="stylesheet" type="text/css" href="',bloginfo('template_url'),'/squeezes/templates/',$currentfolder,'/custom.css" />'."\n";
  return;
}

function authoritize_path() {
  echo get_bloginfo('template_url');
}

function sq_default_stylesheet($currentfolder) {
  
  $defaultStyling = 1;
  $authoritizePath = str_replace('http%3A%2F%2F','',urlencode(get_bloginfo('template_url')));
  $content .= "\t";
  $content .= '<link rel="stylesheet" type="text/css" href="' . get_bloginfo('template_url').'/squeezes/templates/'.$currentfolder.'/default-css.php?defaultstyling=' . $defaultStyling .'&path='.$authoritizePath.'" />';
  $content .= "\n\n";
  
  echo $content;
}


function sq_dynamic_stylesheet($currentfolder) {
  #Main Squeeze Font
  if (get_custom_field( 'sq-main-font' ) != '') {$squeezeMainFont = get_custom_field( 'sq-main-font' );}
  if (get_custom_field( 'sq-main-cfont' ) != '') {$squeezeMainCustomFont = get_custom_field( 'sq-main-cfont' );}
  #Squeeze Bullets
  $sqgbullet = get_custom_field( 'sq-gbullet' );
  #Pre-Headline Settings
  $sqprehfontcolor = str_replace('#','',get_custom_field( 'sqpreh-fontcolor' ));
  $sqprehsecfontcolor = str_replace('#','',get_custom_field( 'sqpreh-sec-fontcolor' ));
  if (get_custom_field( 'sqpreh-fontstyle' ) != '') {$sqprehfontstyle = get_custom_field( 'sqpreh-fontstyle' );}
  $sqprehtexteffect = get_custom_field( 'sqpreh-texteffect' );
  $sqprehfontweight = get_custom_field( 'sqpreh-fontweight' );
  $sqprehfontsize = get_custom_field( 'sqpreh-fontsize' );
  #Main Headline Settings
  $sqheadfontcolor = str_replace('#','',get_custom_field( 'sqhead-fontcolor' ));
  $sqheadsecfontcolor = str_replace('#','',get_custom_field( 'sqhead-sec-fontcolor' ));
  if (get_custom_field( 'sqhead-fontstyle' ) != '') {$sqheadfontstyle = get_custom_field( 'sqhead-fontstyle' );}
  $sqheadtexteffect = get_custom_field( 'sqhead-texteffect' );
  $sqheadfontweight = get_custom_field( 'sqhead-fontweight' );
  $sqheadfontsize = get_custom_field( 'sqhead-fontsize' );
  #Sub-Headline Settings
  $sqsubhfontcolor = str_replace('#','',get_custom_field( 'sqsubh-fontcolor' ));
  $sqsubhsecfontcolor = str_replace('#','',get_custom_field( 'sqsubh-sec-fontcolor' ));
  if (get_custom_field( 'sqsubh-fontstyle' ) != '') {$sqsubhfontstyle = get_custom_field( 'sqsubh-fontstyle' );}
  $sqsubhtexteffect = get_custom_field( 'sqsubh-texteffect' );
  $sqsubhfontweight = get_custom_field( 'sqsubh-fontweight' );
  $sqsubhfontsize = get_custom_field( 'sqsubh-fontsize' );
  
  
  $squeezeStyling = $squeezeMainFont . '|' . $squeezeMainCustomFont . '|' . $sqgbullet . '|' . $sqprehfontcolor . '|' . $sqprehsecfontcolor
  . '|' . $sqprehfontstyle . '|' . $sqprehtexteffect . '|' . $sqprehfontweight . '|' . $sqprehfontsize . '|' . $sqheadfontcolor . '|' . $sqheadsecfontcolor
  . '|' . $sqheadfontstyle . '|' . $sqheadtexteffect . '|' . $sqheadfontweight . '|' . $sqheadfontsize . '|' . $sqsubhfontcolor . '|' . $sqsubhsecfontcolor
  . '|' . $sqsubhfontstyle . '|' . $sqsubhtexteffect . '|' . $sqsubhfontweight . '|' . $sqsubhfontsize;
  
  
  $content .= "\t";
  $content .= '<link rel="stylesheet" type="text/css" href="' . get_bloginfo('template_url').'/squeezes/templates/'.$currentfolder.'/dynamic-css.php?squeezestyling=' . $squeezeStyling .'" />';
  $content .= "\n\n";
  
  echo $content;
  
}


function customcss_onpage()
{
  if (get_custom_field('sq-custom-css-embed') != '')
  {  
         get_custom_field('sq-custom-css-embed',true);         
  }
  return;
}

function gwocss()
{
  if (get_custom_field('sq-gwosplit-type') == 'conversion' || get_custom_field('sq-template-layout') == 'sqtemplayout_full') 
  {
    echo "#footerlinkstin, #sidebar {display:none;}\n#mainContent {width:750px;float:none;margin:0 auto;}\n#sqContent ul li {min-height:50px;}\n#sqContent {width:810px;}";
  } 
}


// --------------- End CSS And Style Links ----//


function enque()
{
  if (function_exists('wp_enqueue_script') && function_exists('is_singular')) :  
  if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
  endif;
}

function end_head()
{
  insert_sqcss(); /* modify sq_customcss();*/

  //echo '<link rel="alternate" type="application/rss+xml" title="',bloginfo('name'),'RSS Feed" href="',bloginfo('rss2_url'),'" />';
  //echo "\n".'<link rel="alternate" type="application/atom+xml" title="',bloginfo('name'),'Atom Feed" href="',bloginfo('atom_url'),'" />';
  
  //echo "\n<meta name='robots' content='noindex,nofollow' />";
  //echo "\n".'<link rel="pingback" href="',bloginfo('pingback_url'),'" />';
  
  //echo "\n\n".'<link rel="shortcut icon" href="',bloginfo('template_directory'),'/images/favicon.ico" />'."\n\n";

  //enque();
  
  apsqueeze_head();
  //wp_head();

  echo '<script language="javascript" type="text/javascript" src="',bloginfo('template_url'),'/squeezes/js/jquery.js"></script>';
  /*
  echo "\n".'<script language="javascript" type="text/javascript" src="',bloginfo('template_url'),'/javascripts/tabber.js"></script>';
  echo "\n".'<script language="javascript" type="text/javascript" src="',bloginfo('template_url'),'/javascripts/superfish.js"></script>';
  */
  echo "\n".'<!--[if lt IE 7]>';
  echo "\n".'<script type="text/javascript" src="',bloginfo('template_url'),'/javascripts/pngfix.js"></script>';
  /*
  echo "\n".'<script type="text/javascript" src="',bloginfo('template_url'),'/javascripts/menu.js"></script>';
  echo "\n".'<link rel="stylesheet" type="text/css" media="all" href="',bloginfo('template_url'),'/css/ie.css" />';
  */
  echo "\n".'<![endif]-->';
}
//--------------CUSTOM BODY --------------//
function custom_body()
{
  if (get_custom_field('custom-page-layout') == 'fullwidth' && is_single()) 
  {
    echo ' ',get_custom_field('custom-page-layout',true);
  }
  if (get_custom_field('sq-custom-body-class') != '' && is_single()) 
  {
    echo ' ',get_custom_field('sq-custom-body-class',true);
  }
}

//--------------END CUSTOM BODY------------//


function build_template(){ 
  ?>
  .clr {clear:both;}

<?php global $body_fontsize, $body_bgimage,$body_bgrepeat,$body_bgcolor,$body_margin,$body_padding; ?>
body {
  <?php echo ($body_fontsize != '' ?  'font-size:'.$body_fontsize.';'."\n" : '' ); ?>
  <?php echo ($body_bgimage != '' ?  'background-image:url("'.$body_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($body_bgrepeat != '' ?  'background-repeat:'.$body_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($body_bgcolor != '' ?  'background-color:'.$body_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($body_margin != '' ?  'margin:'.$body_margin.';'."\n" : '' ); ?>
  <?php echo ($body_padding != '' ?  'padding:'.$body_padding.';'."\n" : '' ); ?>
}

<?php global $bheader_height,$bheader_width,$bheader_margin,$bheader_padding,$bheader_display;?>
#breakoutHeader {
  <?php echo ($bheader_height != '' ?  'height:'.$bheader_height.';'."\n" : '' ); ?>
  <?php echo ($bheader_width != '' ?  'width:'.$bheader_width.';'."\n" : '' ); ?>
  <?php echo ($bheader_margin != '' ?  'margin:'.$bheader_margin.';'."\n" : '' ); ?>
  <?php echo ($bheader_padding != '' ?  'padding:'.$bheader_padding.';'."\n" : '' ); ?>
  <?php echo ($bheader_display != '' ?  'display:'.$bheader_display.';'."\n" : '' ); ?>
}

<?php global $wrapper_fontsize,$wrapper_bgimage,$wrapper_bgrepeat,$wrapper_bgcolor,$wrapper_height,$wrapper_width,$wrapper_margin,$wrapper_margin,
$wrapper_padding,$wrapper_float,$wrapper_border,$wrapper_bordert,$wrapper_borderl,$wrapper_borderr,$wrapper_borderb;?>
#wrapper {
  <?php echo ($wrapper_fontsize != '' ?  'font-size:'.$wrapper_fontsize.';'."\n" : '' ); ?>
  <?php echo ($wrapper_bgimage != '' ?  'background-image:url("'.$wrapper_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($wrapper_bgrepeat != '' ?  'background-repeat:'.$wrapper_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($wrapper_bgcolor != '' ?  'background-color:'.$wrapper_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($wrapper_height != '' ?  'height:'.$wrapper_height.';'."\n" : '' ); ?>
  <?php echo ($wrapper_width != '' ?  'width:'.$wrapper_width.';'."\n" : '' ); ?>
  <?php echo ($wrapper_margin != '' ?  'margin:'.$wrapper_margin.';'."\n" : '' ); ?>
  <?php echo ($wrapper_padding != '' ?  'padding:'.$wrapper_padding.';'."\n" : '' ); ?>
  <?php echo ($wrapper_float != '' ?  'float:'.$wrapper_float.';'."\n" : '' ); ?>
  <?php echo ($wrapper_border != '' ?  'border:'.$wrapper_border.';'."\n" : '' ); ?>
  <?php echo ($wrapper_bordert != '' ?  'border-top:'.$wrapper_bordert.';'."\n" : '' ); ?>
  <?php echo ($wrapper_borderl != '' ?  'border-left:'.$wrapper_borderl.';'."\n" : '' ); ?>
  <?php echo ($wrapper_borderr != '' ?  'border-right:'.$wrapper_borderr.';'."\n" : '' ); ?>
  <?php echo ($wrapper_borderb != '' ?  'border-bottom:'.$wrapper_borderb.';'."\n" : '' ); ?>   
}

<?php global $cheader_height,$cheader_width,$cheader_margin,$cheader_padding,$cheader_display;?>
#containedHeader {
  <?php echo ($cheader_height != '' ?  'height:'.$cheader_height.';'."\n" : '' ); ?>
  <?php echo ($cheader_width != '' ?  'width:'.$cheader_width.';'."\n" : '' ); ?>
  <?php echo ($cheader_margin != '' ?  'margin:'.$cheader_margin.';'."\n" : '' ); ?>
  <?php echo ($cheader_padding != '' ?  'padding:'.$cheader_padding.';'."\n" : '' ); ?>
  <?php echo ($cheader_display != '' ?  'display:'.$cheader_display.';'."\n" : '' ); ?>
}

<?php global $mcontent_fontsize,$mcontent_bgimage,$mcontent_bgrepeat,$mcontent_bgcolor,$mcontent_height,$mcontent_width,$mcontent_margin,$mcontent_padding,
$mcontent_float;?>
#mainContent {
  <?php echo ($mcontent_fontsize != '' ?  'font-size:'.$mcontent_fontsize.';'."\n" : '' ); ?>
  <?php echo ($mcontent_bgimage != '' ?  'background-image:url("'.$mcontent_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($mcontent_bgrepeat != '' ?  'background-repeat:'.$mcontent_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($mcontent_bgcolor != '' ?  'background-color:'.$mcontent_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($mcontent_height != '' ?  'height:'.$mcontent_height.';'."\n" : '' ); ?>
  <?php echo ($mcontent_width != '' ?  'width:'.$mcontent_width.';'."\n" : '' ); ?>
  <?php echo ($mcontent_margin != '' ?  'margin:'.$mcontent_margin.';'."\n" : '' ); ?>
  <?php echo ($mcontent_padding != '' ?  'padding:'.$mcontent_padding.';'."\n" : '' ); ?>
  <?php echo ($mcontent_float != '' ?  'float:'.$mcontent_float.';'."\n" : '' ); ?>  
}

<?php global $sidebar_fontsize,$sidebar_bgimage,$sidebar_bgrepeat,$sidebar_bgcolor,$sidebar_bgposition,$sidebar_height,$sidebar_width,$sidebar_margin,$sidebar_padding,
$sidebar_float;?>
#sidebar {
  <?php echo ($sidebar_fontsize != '' ?  'font-size:'.$sidebar_fontsize.';'."\n" : '' ); ?>
  <?php echo ($sidebar_bgimage != '' ?  'background-image:url("'.$sidebar_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($sidebar_bgrepeat != '' ?  'background-repeat:'.$sidebar_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($sidebar_bgcolor != '' ?  'background-color:'.$sidebar_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($sidebar_bgposition != '' ?  'background-position:'.$sidebar_bgposition.';'."\n" : '' ); ?>
  <?php echo ($sidebar_height != '' ?  'height:'.$sidebar_height.';'."\n" : '' ); ?>
  <?php echo ($sidebar_width != '' ?  'width:'.$sidebar_width.';'."\n" : '' ); ?>
  <?php echo ($sidebar_margin != '' ?  'margin:'.$sidebar_margin.';'."\n" : '' ); ?>
  <?php echo ($sidebar_padding != '' ?  'padding:'.$sidebar_padding.';'."\n" : '' ); ?>
  <?php echo ($sidebar_float != '' ?  'float:'.$sidebar_float.';'."\n" : '' ); ?>
}

<?php global $sboptinbox_fontsize,$sboptinbox_bgimage,$sboptinbox_bgrepeat,$sboptinbox_bgcolor,$sboptinbox_height,$sboptinbox_width,$sboptinbox_margin,
$sboptinbox_padding,$sboptinbox_float,$sboptinbox_border,$sboptinbox_bordert,$sboptinbox_borderl,$sboptinbox_borderr,$sboptinbox_borderb;?>
#sidebar .optinBox, #mainContent .optinBox {
  <?php echo ($sboptinbox_fontsize != '' ?  'font-size:'.$sboptinbox_fontsize.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_bgimage != '' ?  'background-image:url("'.$sboptinbox_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($sboptinbox_bgrepeat != '' ?  'background-repeat:'.$sboptinbox_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_bgcolor != '' ?  'background-color:'.$sboptinbox_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_height != '' ?  'height:'.$sboptinbox_height.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_width != '' ?  'width:'.$sboptinbox_width.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_margin != '' ?  'margin:'.$sboptinbox_margin.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_padding != '' ?  'padding:'.$sboptinbox_padding.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_float != '' ?  'float:'.$sboptinbox_float.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_border != '' ?  'border:'.$sboptinbox_border.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_bordert != '' ?  'border-top:'.$sboptinbox_bordert.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_borderl != '' ?  'border-left:'.$sboptinbox_borderl.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_borderr != '' ?  'border-right:'.$sboptinbox_borderr.';'."\n" : '' ); ?>
  <?php echo ($sboptinbox_borderb != '' ?  'border-bottom:'.$sboptinbox_borderb.';'."\n" : '' ); ?>   
}

<?php global $sboptinbox_borderb,$optincta_bgrepeat,$optincta_bgcolor,$optincta_bgcolor,$optincta_height,$optincta_width,$optincta_margin,$optincta_padding,
$optincta_border,$optincta_fcolor,$optincta_fsize,$optincta_ffamily,$optincta_fweight,$optincta_clear,$optincta_talign;?>
.optinCtaText {
  <?php echo ($optincta_bgimage != '' ?  'background-image:url("'.$optincta_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($optincta_bgrepeat != '' ?  'background-repeat:'.$optincta_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($optincta_bgcolor != '' ?  'background-color:'.$optincta_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($optincta_height != '' ?  'height:'.$optincta_height.';'."\n" : '' ); ?>
  <?php echo ($optincta_width != '' ?  'width:'.$optincta_width.';'."\n" : '' ); ?>
  <?php echo ($optincta_margin != '' ?  'margin:'.$optincta_margin.';'."\n" : '' ); ?>
  <?php echo ($optincta_padding != '' ?  'padding:'.$optincta_padding.';'."\n" : '' ); ?> 
  <?php echo ($optincta_border != '' ?  'border:'.$optincta_border.';'."\n" : '' ); ?>
  <?php echo ($optincta_fcolor != '' ?  'color:'.$optincta_fcolor.';'."\n" : '' ); ?> 
  <?php echo ($optincta_fsize != '' ?  'font-size:'.$optincta_fsize.';'."\n" : '' ); ?> 
  <?php echo ($optincta_ffamily != '' ?  'font-family:'.$optincta_ffamily.';'."\n" : '' ); ?>
  <?php echo ($optincta_fweight != '' ?  'font-weight:'.$optincta_fweight.';'."\n" : '' ); ?>
  <?php echo ($optincta_clear != '' ?  'clear:'.$optincta_clear.';'."\n" : '' ); ?>
  <?php echo ($optincta_talign != '' ?  'text-align:'.$optincta_talign.';'."\n" : '' ); ?>   
}

<?php global $optinfield_bgimage,$optinfield_bgrepeat,$optinfield_bgcolor,$optinfield_height,$optinfield_width,$optinfield_margin,$optinfield_padding,
$optinfield_border,$optinfield_fcolor,$optinfield_fsize,$optinfield_ffamily,$optinfield_fweight,$optinfield_clear,$optinfield_talign;?>
input[type=text] {  
  <?php echo ($optinfield_bgimage != '' ?  'background-image:url("'.$optinfield_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($optinfield_bgrepeat != '' ?  'background-repeat:'.$optinfield_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($optinfield_bgcolor != '' ?  'background-color:'.$optinfield_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($optinfield_height != '' ?  'height:'.$optinfield_height.';'."\n" : '' ); ?>
  <?php echo ($optinfield_width != '' ?  'width:'.$optinfield_width.';'."\n" : '' ); ?>
  <?php echo ($optinfield_margin != '' ?  'margin:'.$optinfield_margin.';'."\n" : '' ); ?>
  <?php echo ($optinfield_padding != '' ?  'padding:'.$optinfield_padding.';'."\n" : '' ); ?> 
  <?php echo ($optinfield_border != '' ?  'border:'.$optinfield_border.';'."\n" : '' ); ?>
  <?php echo ($optinfield_fcolor != '' ?  'color:'.$optinfield_fcolor.';'."\n" : '' ); ?> 
  <?php echo ($optinfield_fsize != '' ?  'font-size:'.$optinfield_fsize.';'."\n" : '' ); ?> 
  <?php echo ($optinfield_ffamily != '' ?  'font-family:'.$optinfield_ffamily.';'."\n" : '' ); ?>
  <?php echo ($optinfield_fweight != '' ?  'font-weight:'.$optinfield_fweight.';'."\n" : '' ); ?>
  <?php echo ($optinfield_clear != '' ?  'clear:'.$optinfield_clear.';'."\n" : '' ); ?>
  <?php echo ($optinfield_talign != '' ?  'text-align:'.$optinfield_talign.';'."\n" : '' ); ?> 
}

<?php global $optinfield_focusborder;?>
input[type=text]:focus {
    <?php echo ($optinfield_focusborder != '' ?  'border:'.$optinfield_focusborder.';'."\n" : '' ); ?>
}

<?php global $sbvidfake_width,$sbvidfake_margin,$sbvidfake_border;?>
.videofake-side img {
  <?php echo ($sbvidfake_width != '' ?  'width:'.$sbvidfake_width.';'."\n" : '' ); ?>
  <?php echo ($sbvidfake_margin != '' ?  'margin:'.$sbvidfake_margin.';'."\n" : '' ); ?>
  <?php echo ($sbvidfake_border != '' ?  'border:'.$sbvidfake_border.';'."\n" : '' ); ?>
}

<?php global $cvidfake_width,$cvidfake_margin,$cvidfake_border;?>
.videofake-content img {
  <?php echo ($cvidfake_width != '' ?  'width:'.$cvidfake_width.';'."\n" : '' ); ?>
  <?php echo ($cvidfake_margin != '' ?  'margin:'.$cvidfake_margin.';'."\n" : '' ); ?>
  <?php echo ($cvidfake_border != '' ?  'border:'.$cvidfake_border.';'."\n" : '' ); ?>
}

<?php global $spamnotice_bgimage,$spamnotice_bgrepeat,$spamnotice_bgcolor,$spamnotice_height,$spamnotice_width,$spamnotice_margin,
$spamnotice_padding,$spamnotice_border,$spamnotice_fcolor,$spamnotice_fsize,$spamnotice_ffamily,$spamnotice_fweight,$spamnotice_clear,
$spamnotice_talign;?>
.spamNotice {  
  <?php echo ($spamnotice_bgimage != '' ?  'background-image:url("'.$spamnotice_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($spamnotice_bgrepeat != '' ?  'background-repeat:'.$spamnotice_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_bgcolor != '' ?  'background-color:'.$spamnotice_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_height != '' ?  'height:'.$spamnotice_height.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_width != '' ?  'width:'.$spamnotice_width.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_margin != '' ?  'margin:'.$spamnotice_margin.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_padding != '' ?  'padding:'.$spamnotice_padding.';'."\n" : '' ); ?> 
  <?php echo ($spamnotice_border != '' ?  'border:'.$spamnotice_border.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_fcolor != '' ?  'color:'.$spamnotice_fcolor.';'."\n" : '' ); ?> 
  <?php echo ($spamnotice_fsize != '' ?  'font-size:'.$spamnotice_fsize.';'."\n" : '' ); ?> 
  <?php echo ($spamnotice_ffamily != '' ?  'font-family:'.$spamnotice_ffamily.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_fweight != '' ?  'font-weight:'.$spamnotice_fweight.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_clear != '' ?  'clear:'.$spamnotice_clear.';'."\n" : '' ); ?>
  <?php echo ($spamnotice_talign != '' ?  'text-align:'.$spamnotice_talign.';'."\n" : '' ); ?> 
}

<?php global $actionbullet_bgimage,$actionbullet_bgrepeat,$actionbullet_bgcolor,$actionbullet_height,$actionbullet_width,$actionbullet_margin,
$actionbullet_padding,$actionbullet_border,$actionbullet_fcolor,$actionbullet_fsize,$actionbullet_ffamily,$actionbullet_fweight,$actionbullet_clear,
$actionbullet_talign;?>
.actionBullets {  
  <?php echo ($actionbullet_bgimage != '' ?  'background-image:url("'.$actionbullet_bgimage.'");'."\n" : '' ); ?>
  <?php echo ($actionbullet_bgrepeat != '' ?  'background-repeat:'.$actionbullet_bgrepeat.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_bgcolor != '' ?  'background-color:'.$actionbullet_bgcolor.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_height != '' ?  'height:'.$actionbullet_height.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_width != '' ?  'width:'.$actionbullet_width.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_margin != '' ?  'margin:'.$actionbullet_margin.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_padding != '' ?  'padding:'.$actionbullet_padding.';'."\n" : '' ); ?> 
  <?php echo ($actionbullet_border != '' ?  'border:'.$actionbullet_border.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_fcolor != '' ?  'color:'.$actionbullet_fcolor.';'."\n" : '' ); ?> 
  <?php echo ($actionbullet_fsize != '' ?  'font-size:'.$actionbullet_fsize.';'."\n" : '' ); ?> 
  <?php echo ($actionbullet_ffamily != '' ?  'font-family:'.$actionbullet_ffamily.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_fweight != '' ?  'font-weight:'.$actionbullet_fweight.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_clear != '' ?  'clear:'.$actionbullet_clear.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_talign != '' ?  'text-align:'.$actionbullet_talign.';'."\n" : '' ); ?> 
}

<?php global $actionbullet_hfcolor,$actionbullet_hfsize,$actionbullet_hffamily,$actionbullet_hfweight,$actionbullet_talign;?>
.actionBullets h3 {
  <?php echo ($actionbullet_hfcolor != '' ?  'color:'.$actionbullet_fcolor.';'."\n" : '' ); ?> 
  <?php echo ($actionbullet_hfsize != '' ?  'font-size:'.$actionbullet_fsize.';'."\n" : '' ); ?> 
  <?php echo ($actionbullet_hffamily != '' ?  'font-family:'.$actionbullet_ffamily.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_hfweight != '' ?  'font-weight:'.$actionbullet_fweight.';'."\n" : '' ); ?>
  <?php echo ($actionbullet_talign != '' ?  'text-align:'.$actionbullet_talign.';'."\n" : '' ); ?> 
}

<?php global $actionbullet_ulpadding;?>
.actionBullets ol, .actionBullets ul {
  <?php echo ($actionbullet_ulpadding != '' ?  'padding:'.$actionbullet_ulpadding.';'."\n" : '' ); ?> 
}

<?php global $actionbullet_libgimage,$actionbullet_libgrepeat,$actionbullet_lipadding,$actionbullet_listyle;?>
.actionBullets ul li {  
  <?php echo ($actionbullet_libgimage != '' ?  'background-image:url("'.$actionbullet_libgimage.'");'."\n" : '' ); ?>
  <?php echo ($actionbullet_libgrepeat != '' ?  'background-repeat:'.$actionbullet_libgrepeat.';'."\n" : '' ); ?>  
  <?php echo ($actionbullet_lipadding != '' ?  'padding:'.$actionbullet_lipadding.';'."\n" : '' ); ?> 
  <?php echo ($actionbullet_listyle != '' ?  'list-style:'.$actionbullet_listyle.';'."\n" : '' ); ?> 
}

<?php global $cfooter_height,$cfooter_width,$cfooter_margin,$cfooter_padding,$cfooter_display;?>
#containedFooter {
  <?php echo ($cfooter_height != '' ?  'height:'.$cfooter_height.';'."\n" : '' ); ?>
  <?php echo ($cfooter_width != '' ?  'width:'.$cfooter_width.';'."\n" : '' ); ?>
  <?php echo ($cfooter_margin != '' ?  'margin:'.$cfooter_margin.';'."\n" : '' ); ?>
  <?php echo ($cfooter_padding != '' ?  'padding:'.$cfooter_padding.';'."\n" : '' ); ?>
  <?php echo ($cfooter_display != '' ?  'display:'.$cfooter_display.';'."\n" : '' ); ?>
  clear:both;
}

<?php global $bfooter_height,$bfooter_width,$bfooter_margin,$bfooter_padding,$bfooter_display;?>
#breakoutFooter {
  <?php echo ($bfooter_height != '' ?  'height:'.$bfooter_height.';'."\n" : '' ); ?>
  <?php echo ($bfooter_width != '' ?  'width:'.$bfooter_width.';'."\n" : '' ); ?>
  <?php echo ($bfooter_margin != '' ?  'margin:'.$bfooter_margin.';'."\n" : '' ); ?>
  <?php echo ($bfooter_padding != '' ?  'padding:'.$bfooter_padding.';'."\n" : '' ); ?>
  <?php echo ($bfooter_display != '' ?  'display:'.$bfooter_display.';'."\n" : '' ); ?>
}

<?php global $footerlinks_fcolor,$footerlinks_fcolor,$footerlinks_fsize,$footerlinks_ffamily,$footerlinks_fweight,$footerlinks_talign,$footerlinks_tdec;?>
.footer-links a {
  <?php echo ($footerlinks_fcolor != '' ?  'color:'.$footerlinks_fcolor.';'."\n" : '' ); ?>
  <?php echo ($footerlinks_ffamily != '' ?  'font-family:'.$footerlinks_ffamily.';'."\n" : '' ); ?>
  <?php echo ($footerlinks_fweight != '' ?  'font-weight:'.$footerlinks_fweight.';'."\n" : '' ); ?>
  <?php echo ($footerlinks_talign != '' ?  'text-align:'.$footerlinks_talign.';'."\n" : '' ); ?> 
  <?php echo ($footerlinks_tdec != '' ?  'text-decoration:'.$footerlinks_tdec.';'."\n" : '' ); ?>
}
.footer-links  {
  <?php echo ($footerlinks_fcolor != '' ?  'color:'.$footerlinks_fcolor.';'."\n" : '' ); ?> 
  <?php echo ($footerlinks_fsize != '' ?  'font-size:'.$footerlinks_fsize.';'."\n" : '' ); ?> 
  <?php echo ($footerlinks_ffamily != '' ?  'font-family:'.$footerlinks_ffamily.';'."\n" : '' ); ?>  
}

    
.prehead h2 {
    text-align:left;
    color:#333;
    font-size:1.2em;
}

.headline h1 {
    text-align:left;
    color:#990000;
    font-size:24px;
    margin:10px 0;
    width:505px;
    line-height:auto;
}

.subhead h2 {
    font-weight:bold;
}
<?php
}





//-------------- Headline Functions ------------//
function preheadline()
{
  if (get_custom_field('sq-prehead') != '' && get_custom_field('sq-cprehead-image') == '') 
  {
      echo '<h2 class="prehead" id="apprehead" style="padding-left:25px; padding-top:20px;';
        
        if (get_custom_field('sqpreh-cfontstyle') != '') 
    { 
      echo 'font-family:',get_custom_field('sqpreh-cfontstyle',true),',tahoma,arial,verdana,helvetica;';
    }
        
      echo '"><script>utmx_section("Content Pre Headline")</script>',get_custom_field('sq-prehead',true),'</noscript></h2>';
  }
    if (get_custom_field('sq-cprehead-image') != '')
  {
      echo '<div id="preheadImage">';
        echo '<script>utmx_section("Content Pre Headline")</script><img src="',get_custom_field('sq-cprehead-image',true),'" /></noscript>';
        echo '</div>';
  }
}

function headline()
{
  if (get_custom_field('sq-headline') != '' && get_custom_field('sq-cheadline-image') == '') 
  { 
    echo '<h1 align="center" class="headline" id="apmainhead" style="';
    echo '"><script>utmx_section("Content Main Headline")</script>';
    echo get_custom_field('sq-headline',true).'</noscript></h1>';
  } 
    if (get_custom_field('sq-cheadline-image') != '')
  { 
    echo '<div id="headlineImage"><center><script>utmx_section("Content Main Headline")</script><img src="',get_custom_field('sq-cheadline-image',true),'" /></noscript></center></div>';
    } 
}
function subheadline()
{
  if (get_custom_field('sq-subhead') != '' && get_custom_field('sq-csubhead-image') == '') 
  {
    echo '<h2 class="subhead" id="apsubhead" style="';
    
        echo '"><script>utmx_section("Content Sub Headline")</script>';
    echo get_custom_field('sq-subhead',true).'</noscript></h2>';
  }
    if (get_custom_field('sq-csubhead-image') != '') 
  {
    echo '<div id="subheadImage"><script>utmx_section("Content Sub Headline")</script><img src="',get_custom_field('sq-csubhead-image',true),'" /></noscript></div>';
  }
}
//-------------- End Headline Functions ------------//

//--------------- Video Fakeout --------------------//
function vfake_content()
{
  if (get_custom_field('sq-enable-videofake') == '1' && get_custom_field('sq-vidfake-position') == 'content' && get_custom_field('sq-vidfake-cimage') != '') 
  {
    echo '<div class="videofake-content">';
    $videofakeoutmessage = addslashes(get_custom_field('sq-vidfake-message')); 
        echo '<a href="javascript:onClick=alert(&quot;',$videofakeoutmessage,'&quot;)"><img src="',get_custom_field('sq-vidfake-cimage',true),'"/></a></div>'; 
  } 
  if (get_custom_field('sq-enable-videofake') == '1' && get_custom_field('sq-vidfake-position') == 'content' && get_custom_field('sq-vidfake-cimage') == '' && get_custom_field('sq-vidfake-image') != '') 
  {                                
    echo '<div class="videofake-content">';
    $videofakeoutmessage = addslashes(get_custom_field('sq-vidfake-message',false));
    echo '<a href="javascript:onClick=alert(&quot;',$videofakeoutmessage,'&quot;)"><img src="',bloginfo('template_url'),'/squeezes/video-fakeout-images/',get_custom_field('sq-vidfake-image',true),'" /></a></div>';
  }
}
function vfake_side()
{
  if (get_custom_field('sq-enable-videofake') == '1' && get_custom_field('sq-vidfake-position') == 'side' && get_custom_field('sq-vidfake-cimage') != '') 
  {
    echo '<div class="videofake-side">';
    $videofakeoutmessage = addslashes(get_custom_field('sq-vidfake-message')); 
        echo '<a href="javascript:onClick=alert(&quot;',$videofakeoutmessage,'&quot;)"><img src="',get_custom_field('sq-vidfake-cimage',true).'"/></a></div>'; 
  } 
    if (get_custom_field('sq-enable-videofake') == '1' && get_custom_field('sq-vidfake-position') == 'side' && get_custom_field('sq-vidfake-cimage') == '' && get_custom_field('sq-vidfake-image') != '') 
  {
    echo '<div class="videofake-side">';
    $videofakeoutmessage = addslashes(get_custom_field('sq-vidfake-message',false));
    echo '<a href="javascript:onClick=alert(&quot;',$videofakeoutmessage.'&quot;)"><img src="',bloginfo('template_url'),'/squeezes/video-fakeout-images/',get_custom_field('sq-vidfake-image',true),'" /></a></div>';
  }
    if (get_custom_field('sq-enable-videofake') == '1') {  } 
}
//----------------End Video Fakeout -----------------//
function begin_post()
{
  if (have_posts()) : while (have_posts()) : the_post();
  $content = split_content();
    echo '<div id="content-pt1" class="entry" style="padding:0;">', array_shift($content), '</div>';
    echo '<div id="content-pt2" class="entry" style="padding:0 0 10px 0;">', implode($content), '</div>';
    endwhile; else:
    echo '<p>';
  _e('Put some content here...', 'authoritypro');
  echo '</p>';        
    endif;  
}

//------------------ Opt CTA and Image-----------------//
function opt_cta()
{
  if (get_custom_field('sq-enableoptin-cta') == '1') 
  {
    echo '<h2 align="center" class="sqoptincta optinCtaText"><script>utmx_section("Sidebar CTA Text")</script>',get_custom_field('sq-optin-cta',true),'</noscript></h2>';
  }
}
function opt_image()
{
  if (get_custom_field('sq-optin-image') != '' && get_custom_field('sq-enable-videofake') != '1' || get_custom_field('sq-vidfake-position') != 'side' && get_custom_field('sq-optin-image') != '') 
  {
    echo '<div class="optinimage"><center><img class="size-full wp-image-3106" src="',get_custom_field('sq-optin-image',true),'" alt="" /></center></div>';
  }
  
  if (get_custom_field('sq-optin-image-select') != '' && get_custom_field('sq-optin-image') == '' && get_custom_field('sq-enable-videofake') != '1' || get_custom_field('sq-vidfake-position') != 'side' && get_custom_field('sq-optin-image') == '' ) 
  {
    echo '<div class="optinimage"><center><img src="',bloginfo('template_url'),'/squeezes/optin-images/',get_custom_field('sq-optin-image-select',true),'" alt="" /></center></div>';
  }
}
//-------------------End Opt CTA and Image -----------//





function spam_notice() {
  if (get_custom_field('sq-spam-notice') != '') { ?> <div class="spamNotice"><?php get_custom_field('sq-spam-notice',true);?></div><?php }
}

function outputOptinFormSpam() {
  
  $rawCode = get_custom_field('sq-optinform-code',false);
  
  
  preg_match_all('#<form.*method="post".*?>#', $rawCode , $formMethodPost);
  preg_match_all('#<input type="hidden".*?(?:</input>|/>)#', $rawCode , $hiddenFields);
  preg_match_all('#<input.*?type="text".*?(?:</input>|/>)#', $rawCode , $formFields);
  preg_match_all('#<input.*type="submit".*/>#', $rawCode , $submitForm);
  
  //print_r($matches);
  
  echo '<script>utmx_section("Sidebar Optin Form")</script><div class="optinBox">';
  
  //Output Form Method
  foreach ($formMethodPost as $v1) { foreach ($v1 as $v2) { echo "$v2\n"; } }
  
  //Output Hidden Fields
  foreach ($hiddenFields as $v1) { foreach ($v1 as $v2) { echo "$v2\n"; } }
  
  //Output Form Fields
  foreach ($formFields as $v1) { foreach ($v1 as $v2) { echo "$v2\n"; } }
  
  //Output Form Fields
  //foreach ($submitForm as $v1) { foreach ($v1 as $v2) { echo "$v2\n"; } }
  
  htmlAutoFormSubmit();
  
  echo '</form>';
  
  echo spam_notice();
  
  echo '</div></noscript>';
  
}


//------------------- Action Bullets------------------//
function action_bullets()
{
  if (get_custom_field('sq-enableaction-bullets') == '1') 
  {
    echo '<div class="actionbullets actionBullets" style="clear:both;">';
    if (get_custom_field('sq-actionbullets-header') != '') 
    { 
      echo '<h3>',get_custom_field('sq-actionbullets-header',true),'</h3>';
    }
    echo '<ul>'."\n";
    if (get_custom_field('sq-actionbullet-1') != '') 
    {
      echo '<li>',get_custom_field('sq-actionbullet-1',true),'</li>';
    }
    if (get_custom_field('sq-actionbullet-2') != '') 
    {
      echo '<li>',get_custom_field('sq-actionbullet-2',true),'</li>';
    }
    if (get_custom_field('sq-actionbullet-3') != '') 
    {
      echo '<li>',get_custom_field('sq-actionbullet-3',true),'</li>';
    }
    if (get_custom_field('sq-actionbullet-4') != '') 
    {
      echo '<li>',get_custom_field('sq-actionbullet-4',true),'</li>';
    }
    echo "\n".'</ul>'."\n".'</div> <!-- end action bullets -->';
  } 
}

//-------------------End Action Bullets --------------//



//------------------- End Autoresponder Functions ----------------------------//

function gwosplittesting() {
   
  if (get_custom_field('sq-gwosplit-type') == 'control' && get_custom_field('sq-gwocontrol-code') != '' && get_custom_field('sq-enable-split') == '1') 
  {      
    echo "\n";echo '<script>';
    get_custom_field('sq-gwocontrol-code',true);
    echo "</script><script>utmx(\"url\",'A/B');</script>";echo "\n";
    echo "\n";get_custom_field('sq-gwosplit-code',true);echo "\n";
  }
  
  if (get_custom_field('sq-gwosplit-type') == 'version' && get_custom_field('sq-gwosplit-code') != '' && get_custom_field('sq-enable-split') == '1') 
  {      
    echo "\n";get_custom_field('sq-gwosplit-code',true);echo "\n";
  }
  
  if (get_custom_field('sq-gwosplit-type') == 'conversion' && get_custom_field('sq-gwosplit-code') != '' && get_custom_field('sq-enable-split') == '1') 
  {      
    echo "\n";get_custom_field('sq-gwosplit-code',true);echo "\n";
  }
  
}


function gwoend(){
  
  if (get_custom_field('sq-gwosplit-type') == 'control' || get_custom_field('sq-gwosplit-type') == 'version' || get_custom_field('sq-gwosplit-type') == 'conversion') 
  {
      echo "<!-- Google Website Optimizer Tracking Script -->";
      get_custom_field('sq-gwosplit-code',true);
      echo "<!-- End of Google Website Optimizer Tracking Script -->";

  }
    
}

function sqtrack_beginning()
{
  if (get_custom_field('sq-ctrackcode-position') == 'beginning' )
  { 
    echo "\n";get_custom_field('sq-ctrack-code',true);echo "\n";
  } 
}

function sqtrack_end()
{
  if (get_custom_field('sq-ctrackcode-position') == 'end' )
  { 
    echo "\n";get_custom_field('sq-ctrack-code',true);echo "\n";
  } 
}

function sqtrack_header()
{
  if (get_custom_field('sq-ctrackcode-position') == 'header' ) 
  { 
      echo "\n";get_custom_field('sq-ctrack-code',true);echo "\n";
  } 
}
function sqtrack_footer()
{
  if (get_custom_field('sq-ctrackcode-position') == 'footer' ) { echo "\n";get_custom_field('sq-ctrack-code',true);echo "\n"; } 
}

function lightbox_js() { ?>
  
  <?php if (get_custom_field('dont-use-lightbox') == '' && get_custom_field('training-video-embed', false) !='') { ?>

<script type="text/javascript">
    
      jQuery.noConflict();
    
      jQuery(function(){
    
            jQuery.fn.getTitle = function() {
          var arr = jQuery("a.fancybox");
          jQuery.each(arr, function() {
            var title = jQuery(this).children("img").attr("title");
            jQuery(this).attr('title',title);
          })
        }
    
        // Supported file extensions
        var thumbnails = 'a:has(img)[href$=".bmp"],a:has(img)[href$=".gif"],a:has(img)[href$=".jpg"],a:has(img)[href$=".jpeg"],a:has(img)[href$=".png"],a:has(img)[href$=".BMP"],a:has(img)[href$=".GIF"],a:has(img)[href$=".JPG"],a:has(img)[href$=".JPEG"],a:has(img)[href$=".PNG"]';
    
      
        jQuery(thumbnails).addClass("fancybox").attr("rel","fancybox").getTitle();
    
          jQuery("a.fancybox").fancybox({
          'imageScale': true,
          'padding': 10,
          'zoomOpacity': true,
          'zoomSpeedIn': 500,
          'zoomSpeedOut': 500,
          'zoomSpeedChange': 300,
          'overlayShow': true,
          'overlayColor': "#666666",
          'overlayOpacity': 0.3,
          'enableEscapeButton': true,
          'showCloseButton': true,
          'hideOnOverlayClick': false,
          'hideOnContentClick': false,
          'frameWidth':  <?php get_custom_field('training-video-width', TRUE); ?>,
          'frameHeight': <?php get_custom_field('training-video-height', TRUE); ?>,
          'callbackOnStart': null,
          'callbackOnShow': null,
          'callbackOnClose': null,
          'centerOnScroll': true
        });
    
    })
    
    </script>

<?php } ?>
  
<?php }
?>